package com.gree.mall.manager.bean.policy;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.plus.entity.MailboxSendRecord;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel
@Data
public class MailBoxSendRecordVo  {

    @ZfireField(hide = true)
    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private String id;

    @ApiModelProperty(value = "保险类型")
    private String policyType;

    @ApiModelProperty(value = "发送批次")
    private String sendBatch;

    @ApiModelProperty(value = "发送邮箱")
    private String sendMailbox;

    @ApiModelProperty(value = "接收邮箱")
    private String receiveMailbox;

    @ApiModelProperty(value = "发送状态  OK 成功 NO 失败")
    private String sendStatus;

    @ApiModelProperty(value = "发送时间")
    private Date sendTime;

    @ApiModelProperty(value = "回执状态 NO 未收到  YES 收到")
    private String receiptStatus;

    @ApiModelProperty(value = "回执收到时间")
    private Date receiptTime;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户名")
    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户id")
    private String companyWechatId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;


}
